#include "vision.h"
//#include "grader.cpp"
using namespace std;
vector<int> getVisionPattern1d()
{
    return {1, 1, 1, 2, 1, 3};
}
int getMove1d(vector<int> v)
{
    if (v.size() == 3)
    {
        if (v[0] == 3)
            return 0;
        if (v[2] == 3)
            return 2;
        if (v[0] == 2)
            return 0;
        return 2;
    }
    if (v.size() == 5)
    {
        if (v[0] == 3)
            return 0;
        return 4;
    }
    if (v[1] == 2)
        return 6;
    return 0;
}
vector<vector<int> > getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int> > v)
{
    return {0, 0};
}
